/**
 * 储备布局地理信息系统
 *
 * @author ts
 * @date  2024/06/14
 **/
import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/dataSystemInfo/` + url, ...arg)
const request1 = (url, ...arg) => baseRequest(`/reserveLayout/kcswDefault/` + url, ...arg)

export default {
	// 库区列表分页
	selectOrgInfoPage(data) {
		return request('selectOrgInfoPage', data, 'get')
	},
	// 粮食库存性质
	selectGrainNatureName(data) {
		return request('selectGrainNatureName', data, 'get')
	},
	// 仓房数量
	selectStoreHouseCount(data) {
		return request('selectStoreHouseCount', data, 'get')
	},
	// 库区数量
	selectOrgInfoCount(data) {
		return request('selectOrgInfoCount', data, 'get')
	},
	// 粮食总库存
	selectInventoryCount(data) {
		return request('selectInventoryCount', data, 'get')
	},
	// 粮食库存性质
	getCrkKcswDatas(data) {
		return request1('getCrkKcswDatas', data, 'get')
	},
	// 仓房分页
	selectStoreHousePage(data) {
		return request('selectStoreHousePage', data, 'get')
	}
}
