import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/circulateMonitor/` + url, ...arg)
export default {
	// 获取放心粮油企业管理分页
	FXLYQYGLFYlist(data) {
		return request('easeEnterprise/page', data, 'get')
	},
	FXLYQYGLFYadd(data) {
		return request('easeEnterprise/add', data, 'post')
	},
	FXLYQYGLFYdel(data) {
		return request('easeEnterprise/delete', data, 'post')
	},
	FXLYQYGLFYview(data) {
		return request('easeEnterprise/detail', data, 'get')
	},
	FXLYQYGLFYedit(data) {
		return request('easeEnterprise/edit', data, 'post')
	},
	FXLYQYGLFYgetEnterpriseList(data) {
		return request('easeEnterprise/getEnterpriseList', data, 'get')
	},
	FXLYQYGLFYgetgetCountNumberlist(data) {
		return request('easeEnterprise/getCountNumber', data, 'get')
	},
	// 获取好粮油企业管理分页
	HLYQYGLlist(data) {
		return request('goodEnterprise/page', data, 'get')
	},
	HLYQYGLdel(data) {
		return request('goodEnterprise/delete', data, 'post')
	},
	HLYQYGLadd(data) {
		return request('goodEnterprise/add', data, 'post')
	},
	HLYQYGLview(data) {
		return request('goodEnterprise/detail', data, 'get')
	},
	HLYQYGLedit(data) {
		return request('goodEnterprise/edit', data, 'post')
	},
	HLYQYGLgetEnterpriseList(data) {
		return request('goodEnterprise/getEnterpriseList', data, 'get')
	},
	// 获取数据对接采集管理分页
	HQSJCJlist(data) {
		return request('dataDockCollect/page', data, 'get')
	},
	HQSJCJdel(data) {
		return request('dataDockCollect/delete', data, 'post')
	},
	HQSJCJadd(data) {
		return request('dataDockCollect/add', data, 'post')
	},
	HQSJCJview(data) {
		return request('dataDockCollect/detail', data, 'get')
	},
	HQSJCJedit(data) {
		return request('dataDockCollect/edit', data, 'post')
	},
	// 粮油流通统计-实时查询统计
	LYLTTJlist(data) {
		return request('realTimeQueryStatistic/page', data, 'get')
	},
	LYLTTJdel(data) {
		return request('realTimeQueryStatistic/delete', data, 'post')
	},
	LYLTTJadd(data) {
		return request('realTimeQueryStatistic/add', data, 'post')
	},
	LYLTTJdetail(data) {
		return request('realTimeQueryStatistic/detail', data, 'get')
	},
	LYLTTJedit(data) {
		return request('realTimeQueryStatistic/edit', data, 'post')
	}
}
