import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/grainReserves/gopsPlan` + url, ...arg)

export const getOrgIdList = (data) => {
	return request('/getOrgIdList', data, 'get')
}

export const getStoreHouseList = (orgId) => {
	return request(`/getStoreHouseList/${orgId}`, {}, 'get')
}

export const getWarehouseList = (storehouseId) => {
	return request(`/getWarehouseList/${storehouseId}`, {}, 'get')
}
